<?php
defined('C5_EXECUTE') or die('Access Denied.');

use ContainerCheck\ContainerChecker;

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
?>
<div class="container-check-display ccm-pane-body" style="min-height:150px;">
    <?php
    if (!empty($containers)) {
        ?>
        <div class="row">
            <div class="col-sm-12">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th>
                            <?php
                            echo t('Container');
                            ?>
                            <span class="float-end">
                                <button class="btn btn-sm btn-info toggle_padding"
                                        title="<?php echo t('Toggle additional padding top/bottom'); ?>"
                                        data-bs-toggle="tooltip"
                                >
                                    <i class="fa fas fa-square"></i>
                                    <?php echo t('Pad'); ?>
                                </button>
                                <button class="btn btn-sm btn-dark toggle_html"
                                        title="<?php echo t('Toggle html view'); ?>"
                                        data-bs-toggle="tooltip"
                                >
                                    <i class="fa fas fa-code"></i>
                                    <?php echo t('Html'); ?>
                                </button>
                            </span>
                        </th>
                        <th style="width:150px;max-width:150px;">
                            <?php
                            echo t('Icon');
                            ?>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    foreach ($containers as $container) {
                        $cc = new ContainerChecker($container);
                        ?>
                        <tr>
                            <td>
                                <h6>
                                    <?php
                                    echo $container->getContainerName();
                                    ?>
                                </h6>
                                <div class="demo">
                                    <?php
                                    echo $cc->getContainerHTMLWithAreas();
                                    ?>
                                </div>
                                <div class="raw_html">
                                    <pre><?php
                                        echo h($cc->getContainerHTMLWithAreas());
                                        ?></pre>
                                </div>
                                <?php

                                ?>
                            </td>
                            <td style="max-width:150px;">
                                <?php
                                echo $container->getContainerIconImage();
                                ?>
                            </td>
                        </tr>
                        <?php
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>

        <?php
    } else {
        ?>
        <div class="row">
            <div class="col-sm-12">
                <div class="alert alert-warning">
                    <?php
                    echo t('Unable to find any containers');
                    ?>
                </div>
            </div>
        </div>
        <?php
    }
    ?>
</div>
